﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Threading;

namespace MemoryLeak
{
    public class MainWindowVM : INotifyPropertyChanged
    {

        public MainWindowVM()
        {
             Strips = GetStrips();
            _timer = new DispatcherTimer();
            _timer.Tick += new EventHandler(auto_refresh_strips_timer2_Tick);
            _timer.Interval = new TimeSpan(0, 0, 5);
            _timer.Start();
        }

        private void auto_refresh_strips_timer2_Tick(object sender, EventArgs e)
        {
            Strips = GetStrips();
        }

        private ObservableCollection<int> strips;
        private DispatcherTimer _timer;

        public ObservableCollection<int> Strips
        {
            get { return strips; }
            set
            {
                strips = value;
                OnPropertyChanged("Strips");
            }
        }

        public event PropertyChangedEventHandler PropertyChanged;


        internal protected void OnPropertyChanged(string propertyName)
        {
            var handler = PropertyChanged;

            if (handler != null)
                handler(this, new PropertyChangedEventArgs(propertyName));

        }


        private ObservableCollection<int> GetStrips()
        {
            ObservableCollection<int> _strips = new ObservableCollection<int>();

            for (int i = 0; i < 300; i++)
                _strips.Add(i);

            return _strips;
        }
    }


}
